﻿
.page-header {
    position: absolute;
    top: 0;
    width: 100%;
    height: 55px;
    background-color: #ffffff;
    z-index: 100;

    font-family: "Poppins-Regular","Helvetica","Arial",sans-serif;
    font-size: 14px;
  }

  .page-header--fixed {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
  }
  
  .page-header .wrp {
    height: 100%;
    width: 100%;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0;
  }

  @media (min-width: 768px) and (max-width: 1023.98px) {
    .page-header .wrp {
      padding-left: 0;
      padding-right: 0;
    }
  }
  
  .page-header__logo {
    background: url("../img/eroski-logo.png") transparent center center no-repeat;
    display: block;
    width:135px;
    height: 33px;
    margin-left: 30px;
  }
  
  .page-header__menu {
    display: flex;
    height: 100%;
  }
  
  .page-header__menu__services, .page-header__menu__services > ul,
  .page-header__menu__services__link, .page-header__menu__eroski-club,
  .page-header__menu__auth-button, .page-header__menu__language-selector-inner {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    white-space: nowrap;

    margin: 0;
    padding: 0;

    font-family: "Poppins-Regular","Helvetica","Arial",sans-serif;
    font-size: 14px;

    font-weight: 500;
  }

  .page-header__menu__eroski-club, .page-header__menu__auth-button, .page-header__menu__language-selector {
    padding-right: 30px;
    padding-left: 30px;
  }

  .page-header__menu__eroski-club, .page-header__menu__auth-button {
    text-transform: uppercase;
    min-width: 150px;
    cursor: pointer;
  }

  .page-header__menu__language-selector, .page-header__menu__language-selector-inner {
    display: flex;
    align-items: center;
    background-color: transparent;
    color: #454545;
    border: none;
  }
  .page-header__menu__language-selector-inner:focus {
    outline: none;
    box-shadow: none;
  }

  .page-header__menu__auth-button {
    color: #ffffff;
    background-color: #79797B;
  }

  .page-header__menu__services > ul {
    list-style: none;
  }

  .service__text {
    color: #454545;
  }
  .page-header__menu__services__link:hover {
    text-decoration: none;
  }
  .page-header__menu__services__link:hover .service__text {
    color: #C22820; 
  }

  .page-header__menu__services__link > * + * {
    margin-right: 30px;
  }

  .page-header__menu__eroski-club {
    background-color: #E30613;
    color: #ffffff;
  }

  @font-face {
    font-family: "eroski";
    src: url(../fonts/eroski/eroski.eot?c2bait);
    src: url("../fonts/eroski/eroski.eot?c2bait#iefix")
        format("embedded-opentype"),
      url(../fonts/eroski/eroski.ttf?c2bait) format("truetype"),
      url(../fonts/eroski/eroski.woff?c2bait) format("woff"),
      url("../fonts/eroski/eroski.svg?c2bait#eroski") format("svg");
    font-weight: 400;
    font-style: normal;
  }
  
  .icon--marker,
  .icon--contact {
    font-family: "eroski" !important;
    font-style: normal;
    font-weight: 400;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    color: #C22820;
    font-size: 1.6em;
    margin-right: 5px;
    vertical-align: sub;
    position: relative;
    top: 2px;
  }

.icon--marker:before{content:""}
.icon--contact:before{content:""}

.page-header__hamburger {
  display: none;
  margin-right: 30px;
}
.page-header__hamburger:hover,
.page-header__hamburger:active,
.page-header__hamburger:focus {
  text-decoration: none;
}


@media (max-width: 425px) {
  .page-header__hamburger {
    margin-right: 15px;
  }

  .page-header__logo {
    margin-left: 15px;
  }
}


.body--onmenu {
  overflow: hidden;
  position: relative;
  height: 100% !important;
  transition: transform 0.3s cubic-bezier(0.45, 0, 0.15, 1);
}

.z-magazine, .page-header__menu, .page-header  {
  transition: transform 0.3s cubic-bezier(0.45, 0, 0.15, 1);
}

.body--onmenu .page-header,
.body--onmenu .z-magazine {
  -webkit-transform: translateX(-81.25%);
  -moz-transform: translateX(-81.25%);
  transform: translateX(-81.25%);

  transition: transform 0.3s cubic-bezier(0.45, 0, 0.15, 1);
}

.body--onmenu .page-header__menu {
  pointer-events: all;
  -webkit-transform: translate(0, 0);
  transform: translate(0, 0);
  opacity: 1;

  transition: transform 0.3s cubic-bezier(0.45, 0, 0.15, 1);
}

.page-header__menu__buttons-wrapper {
  display: flex;
  height: 55px;
  flex-shrink: 0;
}

.page-header__menu__auth-menu {
  position: absolute;
  background-color: #79797B;
  top: 55px;
  min-width: 300px;
  margin: 0;
  padding: 0;
  z-index: 3;
  overflow: hidden;
  height: 0px;
}

.page-header__menu__auth-menu > li > span {
  display: inline-block;
  color: #fff;
  min-height: 30px !important;
  font-size: 12px !important;
  font-weight: 500;
}

.page-header__menu__auth-menu li a {
  color: #ffffff;
  font-size: 14px !important;
  text-transform: uppercase;
}

.page-header__menu__cuenta, .page-header__menu__ventajas {
  padding-left: 15px;
}

.page-header__menu__ventajas li a {
  text-transform: unset;
  font-size: 12px !important;
}

.page-header__menu__cuenta li a {
  text-transform: unset;
  font-size: 12px !important;
}

.page-header__menu__auth-menu button {
  background: none;
  border: 0;
  height: 42px;
  padding: 0;
  font-family: "FS Lola";
}

.page-header__menu__auth-menu > li {
  border-bottom: 1px solid #ffffff;
  padding-left: 30px;
  padding-right: 30px;
  padding-top: 15px;
  padding-bottom: 15px;
}

.page-header__menu__auth-wrapper {
  display: flex;
  justify-content: flex-end;
}

/* TABLET LAYOUT
----------------------------------------------- */
@media (min-width: 768px) and (max-width: 1023.98px) {

  .page-header__menu__auth-button {
    padding: 15px;
    min-width: 0;
    max-width: 365px;
    white-space: nowrap;  
    overflow: hidden; 
  }

  .page-header__logo {
    width: 32px;
    background-position: center left;
  }

  .page-header__menu__services__item {
    margin: 10px;
  }

  .icon--marker, .icon--contact {
    margin-right: 0;
  }

  .service__text {
    display: none;
  }

  .page-header__menu__eroski-club {
    padding: 0;
    min-width: 0;
    aspect-ratio: 1 / 1;
  }

  .page-header__menu__eroski-club::after {
    content: "\e90c";
    color: #fff;
    font-family: 'eroski';
    font-size: 30px;
  }

  .page-header__menu__eroski-club > span {
    display: none;
  }
}


/* MOBILE LAYOUT DOWN
----------------------------------------------- */
@media (max-width: 767.98px) {
  .page-header__menu {
    display: flex;
    flex-direction: column-reverse;
    justify-content: flex-end;

    padding-top: 0;
    position: fixed;

    bottom: 0;
    top: 0;
    right: -81.25%;
    height: 100vh;
    width: 81.25%;
    margin: 0;

    z-index: 2;
    
    overflow-x: hidden;
    overflow-y: scroll;

    background: #ffffff;
    transform: translate(0, 0);
    opacity: 1;
    pointer-events: all;
  }

  .page-header__hamburger {
    display: block;
  }

  .page-header__hamburger::before {
    content: "";
    color: #000000;
    font-family: 'eroski';
    font-size: 30px;
  }

  .page-header__menu__eroski-club, .page-header__menu__auth-wrapper {
    min-width: 50%;
    width: 50%;
  }
  .page-header__menu__auth-button {
    width: 100%;
  }

  .page-header__menu__services {
    height: 55px;
  }

  .page-header__menu__auth-menu {
    min-width: 81.25vw;

  }
}